> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Native OpenAI Format

> Retrieves a list of currently available models. 

The return format is automatically determined based on the request headers: 
- Returns Anthropic format when `x-api-key` and `anthropic-version` headers are included. 
- Returns Gemini format when `x-goog-api-key` header or `key` query parameter is included. 
- Returns OpenAI format in other cases.



## OpenAPI

````yaml api-reference/openapi.json get /v1/models
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/models:
    get:
      tags:
        - Get Model List
      summary: Get Model List
      description: >-
        Retrieves a list of currently available models. 


        The return format is automatically determined based on the request
        headers: 

        - Returns Anthropic format when `x-api-key` and `anthropic-version`
        headers are included. 

        - Returns Gemini format when `x-goog-api-key` header or `key` query
        parameter is included. 

        - Returns OpenAI format in other cases.
      operationId: listModels
      parameters:
        - name: key
          in: query
          description: Google API Key (for Gemini format)
          required: false
          schema:
            type: string
        - name: x-api-key
          in: header
          description: Anthropic API Key (for Claude format)
          required: false
          schema:
            type: string
        - name: anthropic-version
          in: header
          description: Anthropic API version
          required: false
          schema:
            type: string
            example: '2023-06-01'
        - name: x-goog-api-key
          in: header
          description: Google API Key (for Gemini format)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the model list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsResponse'
          headers: {}
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ModelsResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/Model'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: error message
            type:
              type: string
              description: error type
            param:
              type: string
              description: error param
              nullable: true
            code:
              type: string
              description: code
              nullable: true
    Model:
      type: object
      properties:
        id:
          type: string
          description: model ID
          example: gpt-4
        object:
          type: string
          description: object type
          example: model
        created:
          type: integer
          description: Create timestamp
        owned_by:
          type: string
          description: model owned
          example: openai
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````